local kratosShouts = {
  "135_Baldur2Bossfight_A1",
  "135_Baldur2Bossfight_A2",
  "135_Baldur2Bossfight_A3",
  "135_Baldur2Bossfight_A4",
  "135_Baldur2Bossfight_A5"
}
local currentKraShout = 0
local baldurShouts = {
  "135_Baldur2Bossfight_B1",
  "135_Baldur2Bossfight_B2",
  "135_Baldur2Bossfight_B3",
  "135_Baldur2Bossfight_B4"
}
local currentBaldurShout = 0
local banterPlaying = false
function OnScriptLoaded(level, obj)
  game.SubObject.Sleep(obj)
  game.SubObject.SetForgetOnCheckpoint(obj)
end
function KratosPunch_Banters()
  if currentKraShout < 5 and not banterPlaying then
    banterPlaying = true
    currentKraShout = currentKraShout + 1
    game.Audio.PlayBanter(kratosShouts[currentKraShout], BanterDone)
  end
end
function BaldurPunch_Banters()
  if currentBaldurShout < 4 and not banterPlaying then
    banterPlaying = true
    currentBaldurShout = currentBaldurShout + 1
    game.Audio.PlayBanter(baldurShouts[currentBaldurShout], BanterDone)
  end
end
function BanterDone()
  banterPlaying = false
end
function BaldurRoar_Banter()
end
